Subject: [MMUSIC] White space inconsistency in draft-ietf-mmusic-rfc4556bis

From: Petr Vaněk <[email-masked]>
Date: Tue, 9 Aug 2016 10:51:50 +0200

Hello,

I found an inconsistency in
https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis, where in
3rd paragraph of section 5. SDP Specification is written:

   Whitespace MUST NOT be used on either side of the "=" sign.

However, in subsection 5.3. Session Name ("s=") is the 'MUST NOT'
violated by definition of session without meaningful name:

	If a session has no meaningful name, the value "s= " SHOULD be used
	(i.e., a single space as the session name).

Therefore I suggest to use "-" (single dash) instead of " " (single
space) to fix this issue:

	If a session has no meaningful name, the value "s=-" SHOULD be used
	(i.e., a single dash as the session name).

Regards,

Petr Vaněk

---

From: "Ali C. Begen" <[email-masked]>
Date: Tue, 9 Aug 2016 17:43:15 +0300

This makes sense to me, and we can fix this in 4566bis.

-acbegen

On Tue, Aug 9, 2016 at 11:51 AM, Petr Vaněk <[email-masked]> wrote:

> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Colin Perkins <[email-masked]>
Date: Tue, 9 Aug 2016 16:08:14 +0100

We made this change in draft-ietf-mmusic-sdp-new-04, the draft that eventually became RFC 4566, back in November 2001, and reverted it in the -05 version.

The rationale at the time for using “s= “ was to match the offer/answer spec, and because that was what SIP clients expected (see the mail thread following http://mailarchive.ietf.org/arch/msg/mmusic/TsJjXeiCa0pIIGI2XTee773ckzc <https://mailarchive.ietf.org/arch/msg/mmusic/TsJjXeiCa0pIIGI2XTee773ckzc> from the MMUSIC mailing list in Feb 2002). Whether that argument is still valid, I don’t know (this was while RFC3264 was still under development).

Colin

> On 9 Aug 2016, at 15:43, Ali C. Begen <[email-masked]> wrote:
> 
> On Tue, Aug 9, 2016 at 11:51 AM, Petr Vaněk <[email-masked] <mailto:[email-masked]>> wrote:
> Hello,
> 
> https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis <https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis>, where in
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/mmusic <https://www.ietf.org/mailman/listinfo/mmusic>
> 

-- 
Colin Perkins
https://csperkins.org/

---

From: Jonathan Lennox <[email-masked]>
Date: Tue, 9 Aug 2016 15:33:57 +0000

I think what needs to be fixed is the wording of Section 5 paragraph 3.  Section 5.3 shouldn’t need to be changed.

What it’s intending to say is that there MUST NOT be whitespace *separators* around the “=” sign, i.e. “v = 0” isn’t valid.

However, if the value of the line can contain leading whitespace as part of its syntax, that’s fine, and that whitespace is part of the line’s value (not a separator).

As I read the BNF, I think the lines whose values can validly start with whitespace are s=, i=, and (slightly more obscurely) e=.

I’m pretty sure this is how most existing implementations behave (insofar as they pay attention to those lines at all).

On Aug 9, 2016, at 10:43 AM, Ali C. Begen <[email-masked]<mailto:[email-masked]>> wrote:

-acbegen

On Tue, Aug 9, 2016 at 11:51 AM, Petr Vaněk <[email-masked]<mailto:[email-masked]>> wrote:
Hello,

Regards,

Petr Vaněk

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/mmusic

---

From: Flemming Andreasen <[email-masked]>
Date: Wed, 24 Aug 2016 15:53:33 -0400

I agree with Jonathan.

Thanks

-- Flemming (as individual)

On 8/9/16 11:33 AM, Jonathan Lennox wrote:
> I think what needs to be fixed is the wording of Section 5 paragraph 
> 3.  Section 5.3 shouldn’t need to be changed.
>
> What it’s intending to say is that there MUST NOT be whitespace 
> *separators* around the “=” sign, i.e. “v = 0” isn’t valid.
>
> However, if the value of the line can contain leading whitespace as 
> part of its syntax, that’s fine, and that whitespace is part of the 
> line’s value (not a separator).
>
> As I read the BNF, I think the lines whose values can validly start 
> with whitespace are s=, i=, and (slightly more obscurely) e=.
>
> I’m pretty sure this is how most existing implementations behave 
> (insofar as they pay attention to those lines at all).
>
>>     https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis
>>     <https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc4566bis>,
>>     where in
>>     <https://www.ietf.org/mailman/listinfo/mmusic>
>>
>>